2 Replies Latest reply: Feb 1, 2013 2:05 PM by léonie
Mr. Seek Help Level 1 Level 1 (0 points)

I would like to get the Canon G-15 digital camera but I am concerned that the Raw and Jpg files will not be able to be read and processed by my

Aperture 3.4.3 photo program.

 

My Mac Air Book (11 inhces)  is OSX - 10.7.5.

 

Do I have to upgrade my Aperture program in order for this G-15's photo files to work ?  Or do I have to give up this idea about getting this new

camera (to replace my Canon 50D DSLR ?).

 

I hope to hear from someone soon. I am in Bangkok now and I want to buy this camera but I don't want any nasty surprises.

 

I looked on the Compatible List (with Canon) and I found only the G-12 and not this newer model.

 

I want to buy this camera soon for shooting over here so I look forward to hearing from any of you pros out there who could assist.

 

Many thanks.  Dpon